Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 14

Тема: Проблема: MySQL adapter mysqli is not available после обновления php до 7.0.12

  1. #1
    Junior Member
    Регистрация
    02.02.2016
    Сообщений
    15

    Exclamation Проблема: MySQL adapter mysqli is not available после обновления php до 7.0.12

    Здравствуйте!

    На двух серверах после обновления:

    Dec 06 03:17:58 Updated: isp-php54-5.4.45-163.el7.centos.x86_64
    Dec 06 03:18:00 Updated: isp-php70-7.0.12-163.el7.centos.x86_64
    Dec 06 03:18:01 Updated: isp-php56-5.6.27-163.el7.centos.x86_64

    Все сайты ругаются:

    Error displaying the error page: Application Instantiation Error: The MySQL adapter mysqli is not available
    Похоже, в вашей конфигурации PHP отсутствует расширение MySQL, необходимое для работы WordPress.

  2. #2
    Senior Member
    Регистрация
    12.03.2015
    Сообщений
    143

    По умолчанию

    У меня та же проблема для 5.6 и 7 сегодня вдруг, хотя в настройках для этих версий есть mysqli и включено
    На 5.4 сайты работают

    ISPmanager Lite 5.84.1
    Последний раз редактировалось nsemkin; 06.12.2016 в 14:52.

  3. #3
    Junior Member
    Регистрация
    02.02.2016
    Сообщений
    15

    По умолчанию

    Забыл упомянуть:

    ISPmanager Lite 5.83.3
    Apache MPM-Prefork

    в настройках PHP аналогично: mysqli включен

  4. #4
    Support team Аватар для Sedna
    Регистрация
    16.05.2014
    Сообщений
    1,557

    По умолчанию

    Передали отделу тестирования.
    Grammar Nazi

  5. #5
    Junior Member
    Регистрация
    13.07.2016
    Сообщений
    15

    По умолчанию

    Подтверждаю. У всех клиентов слетел mysqli

    Unable to load dynamic library '/opt/php56/lib/php/modules/mysqli.so' - /opt/php56/lib/php/modules/mysqli.so: undefined symbol: mysqlnd_connect in Unknown on line 0

  6. #6
    Junior Member
    Регистрация
    07.05.2015
    Сообщений
    8

    По умолчанию

    Есть какой-нибудь хотфикс чтобы поднять сайты?

  7. #7
    Junior Member
    Регистрация
    02.02.2016
    Сообщений
    15

    По умолчанию

    Joomla: в configuration.php исправить mysqli на mysql
    Wordpress: переключить на PHP 5.4 (Alt)

  8. #8
    Senior Member Аватар для Армаэль
    Регистрация
    22.03.2015
    Адрес
    Москва
    Сообщений
    288

    По умолчанию

    У меня норма, и so'шки лежат и сайты работают, может от ОСи зависит? Ченить с репами?
    Dedicated server Fujitsu-Siemens TX150 S7 | Intel Xeon X3470 | 32GB RAM ECC REG | IBM SAS 15k 300Gbx4 | WD SATA 7.2k 1Tbx4 | Intel Pro 1Gb LAN x2 | Ubuntu Server 18.04 LTS | ISPmanager 5 Lite

  9. #9
    Junior Member
    Регистрация
    02.02.2016
    Сообщений
    15

    По умолчанию

    У меня проблема наблюдается на CentOS 7.1 x64 и CentOS 7.2 x64

  10. #10

    По умолчанию

    Попробуйте обновить пакеты. Должно помочь

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •